%define name    AutoScan
%define version 0.95


Name:           %{name} 
Summary:        Utility for network exploration (Samba,Nessus client)
Version:        %{version} 
Release: 3mdk
Source0:        %{name}-%{version}.tar.bz2
URL:            http://autoscan.free.fr
Group:		Networking/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL
BuildRequires:  gtkhtml2-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libgnomeui2-devel
Requires:       samba-client
Requires:       mozilla-firefox

%description
AutoScan is an application designed to explore and to manage your network. 
Entire subnets can be scanned simultaneously without human intervention. 
It features OS detection, automatic network discovery, a port scanner, 
a Samba share browser, and the ability to save the network state.

%prep  

%setup -q -a 0

%build
cd Sources/Autoscan/
./configure
cd src
make
cd ../../
cd AutoScan_d/
./configure
cd src
make

%install
rm -rf %{buildroot}
install -d %{buildroot}/usr/share/doc/AutoScan/
install -d %{buildroot}/usr/share/pixmaps/AutoScan/
install -d %{buildroot}/usr/share/apps/AutoScan/
install -d %{buildroot}/%_menudir
install -d %{buildroot}/bin/
install -d %{buildroot}/usr/share/icons/

cd Sources/Autoscan/src/
mv autoscan AutoScan
install -m755 AutoScan %{buildroot}/bin/
cd ../../
cd AutoScan_d/src/
install -m755 autoscan_d %{buildroot}/bin/
cd ../../../Data/apps/AutoScan
install -m755 * %{buildroot}/usr/share/apps/AutoScan/
cd ../../../Data/pixmaps/AutoScan
cp -R  * %{buildroot}/usr/share/pixmaps/AutoScan/
cp AutoScan.png  %{buildroot}/usr/share/icons/
cd ../../../Data/doc/AutoScan
install -m755 * %{buildroot}/usr/share/doc/AutoScan/


#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(AutoScan): command="/bin/AutoScan" icon="AutoScan.png" needs="x11" title="AutoScan" longtitle="AutoScan is a utility for network exploration" section="Networking/Other"
EOF
chmod 644 $RPM_BUILD_ROOT%{_menudir}/%{name}
chmod +s $RPM_BUILD_ROOT/bin/autoscan_d

%clean
rm -rf $RPM_BUILD_ROOT/


%post
%update_menus


%postun
%clean_menus


%files
%defattr(755,root,root)
/bin/*
   /usr/share/apps/AutoScan/*
   /usr/share/doc/AutoScan/*
   /usr/share/pixmaps/AutoScan/*
   /usr/share/icons/*
%defattr(644,root,root)
%_menudir/*

%changelog
* Sat Apr 09 2005 Emmanuel Andry <eandry@free.fr> 0.95-3mdk
- Requires firefox instead of mozilla (Bug #15359)

* Mon Apr 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.95-2mdk
- Rebuild for libsmbclient

* Tue Mar 22 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- from thierry@fdl.ath.cx

